<?xml version="1.0" encoding="utf-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude">
<info>
  <pubdate>$Date: 2007-07-23 01:34:53 +0800 (Mon, 23 Jul 2007) $</pubdate>
  <releaseinfo>$Revision: 7120 $</releaseinfo>
</info>

<refmeta>
  <refentrytitle><?tdg-refentrytitle?></refentrytitle>
  <refmiscinfo role="element">errortype</refmiscinfo>
  <refmiscinfo role="pattern">db.errortype</refmiscinfo>
</refmeta>

<refnamediv>
  <refname><?tdg-refname?></refname>
  <refpurpose><?tdg-refpurpose?></refpurpose>
</refnamediv>

<?tdg-refsynopsisdiv?>

<refsection condition="ref.description">
<title>Description</title>


<para>The <tag>errortype</tag> element identifies a class of error.  The
exact classifications are naturally going to vary by system, but
<quote>recoverable</quote> and <quote>fatal</quote> are two possibilities.
</para>

<para>DocBook provides four elements for identifying the parts of an error message:
<tag>errorcode</tag>, for the alphanumeric error code (e.g., <quote>-2</quote>);
<tag>errorname</tag>, for the symbolic name of the error
(e.g., <quote>ENOENT</quote>);
<tag>errortext</tag>, for the text of the error message (e.g., <quote>file
not found</quote>); and
<tag>errortype</tag>, for the error type (e.g., <quote>recoverable</quote>).
</para>

<refsection><title>Processing expectations</title>
<para><?tdg gentext='format.inline'?>
</para>
</refsection>


<?tdg-attributes?>
<?tdg-parents?>
<?tdg-children?>

</refsection>

<?tdg-seealso?>

<!-- FIXME: add examples -->

</refentry>